Subject: How to remove date in a gz file?

From: Peng Yu <[email-masked]>
Date: Mon, 9 Sep 2013 17:18:10 -0500

Hi,

~/linux/test/gnu/gzip/gzip$ file test1.txt.gz
test1.txt.gz: gzip compressed data, was "test1.txt", from Unix, last
modified: Tue Apr 30 08:16:41 2013

.gz files have the date information if it is not created with the
option '-n'. I'm wondering what is the most efficient way to remove
the date information. (One easy way is gunzip the file and then gzip
it with '-n', but when the file is large, it might take a long time.)
I'd imagine there should be a way to directly change the .gz file to
remove the date info. But I have not found a way to do. Does anybody
know a way? Thanks.

-- 
Regards,
Peng